Name:           linbox
Version:        1.1.6
Release:        1%{?dist}
Summary:        C++ Library for High-Performance Linear Algebra
Group:          Development/Libraries
License:        LGPLv2
URL:            http://www.linalg.org/
Source0:        http://www.linalg.org/linbox-%{version}.tar.gz
Patch0:         linbox-1.1.6-respect-destdir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  givaro-devel
BuildRequires:  ntl-devel


%description
LinBox is a C++ template library for exact, high-performance linear
algebra computation with dense, sparse, and structured matrices over
the integers and over finite fields.


%package        devel
Summary:        Development libraries/headers for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
Headers and libraries for development with %{name}.


%package        static
Summary:        Static Libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}


%description    static
Static libraries for %{name}.


%prep
%setup -q
%patch0
find . -type f -name '*.C' | xargs chmod 0644
find . -type f -name '*.h' | xargs chmod 0644


%build
# Rebuild Makefile.in's from Makefile.am's, because our patch0 fixes the
# Makefile.am to respect destdir.
automake

%configure --enable-doc --with-givaro=yes --with-ntl=yes \
  --with-blas="-I/usr/include/atlas/ -L/usr/lib64/atlas/ -lblas" \
  --enable-sage --enable-optimization --enable-drivers \
  --with-doxygen=yes --disable-rpath

# Remove stupid rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# These docs are installed to the wrong place (/usr/doc), so we move
# them. Maybe they should be in -devel's %doc instead of the main
# package? I'm not sure.
mv $RPM_BUILD_ROOT%{_prefix}/doc ./htmldocs


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING htmldocs/*
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1*


%files static
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 1.1.6-1
- Initial package.
